classification
Title: Let Email.Utils.parsedate use last 3 timetuple items
Type: Stage:
Components: Library (Lib) Versions: Python 2.3
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, ajaksu2, georg.brandl, georg.brandl, gerrit
Priority: normal Keywords: patch

Created on 2003-06-04 13:22 by gerrit, last changed 2010-08-18 16:17 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
parsedate.diff gerrit, 2003-06-04 13:22 patch created with cvs diff -u
Messages (4)
msg43888 - (view) Author: Gerrit Holl (gerrit) Date: 2003-06-04 13:22
Hi,

this patch changes the behaviour of
Email.Utils.parsedate. Currently, the last 3 tuple
items are unused. One place where this complicates
things unnecessarily is when trying to find out the
week number: currently, it is necessary to convert the
tuple back and forth to a timestamp by hand, in order
to retrieve the information in the last 3 items. This
patch fixes this, and makes the default behaviour to
use all timetuple fields.

It also changes the corresponding documentation.

I also sent this to patches@python.org when SF was down.

Gerrit.
msg43889 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-03-03 14:46
Logged In: YES 
user_id=1188172

The patch returns time.localtime(time.mktime(t[:9])) instead
of t[:9]

This does affect speed if you don't need the last 3 fields,
and you always can call localtime(mktime(...)) in your code
if you need them.
msg81501 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-09 21:50
Should I update/correct the patch or is this a won't fix?
msg114241 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-18 16:17
Closed as no reply to msg81501.
History
Date User Action Args
2010-08-18 16:17:27BreamoreBoysetstatus: open -> closed

messages: + msg114241
resolution: wont fix
nosy: + BreamoreBoy
2009-02-09 21:50:26ajaksu2setnosy: + georg.brandl, ajaksu2
messages: + msg81501
2003-06-04 13:22:37gerritcreate